/*
 * Docs Dispatcher API - API document(s) generation
 * Docs.io API enables you to generate files (currently DOCx, XLSx, PPTx, PDF, HTML, JPG/PNG/SVG) from a template and JSON data. You can just download resulting file, send email with generated attachments or compose services.
 *
 * The version of the OpenAPI document: 3.1.1
 * Contact: tech@docs-dispatcher.io
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package io.docs_dispatcher.client.model;

import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import java.io.IOException;
import java.util.Arrays;
import org.openapitools.jackson.nullable.JsonNullable;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

/**
 * Model tests for ConfigurationElement
 */
public class ConfigurationElementTest {
    private final ConfigurationElement model = new ConfigurationElement();

    /**
     * Model tests for ConfigurationElement
     */
    @Test
    public void testConfigurationElement() {
        // TODO: test ConfigurationElement
    }

    /**
     * Test the property 'id'
     */
    @Test
    public void idTest() {
        // TODO: test id
    }

    /**
     * Test the property 'creator'
     */
    @Test
    public void creatorTest() {
        // TODO: test creator
    }

    /**
     * Test the property 'creationDate'
     */
    @Test
    public void creationDateTest() {
        // TODO: test creationDate
    }

    /**
     * Test the property 'lastModifier'
     */
    @Test
    public void lastModifierTest() {
        // TODO: test lastModifier
    }

    /**
     * Test the property 'lastModificationDate'
     */
    @Test
    public void lastModificationDateTest() {
        // TODO: test lastModificationDate
    }

    /**
     * Test the property 'deleted'
     */
    @Test
    public void deletedTest() {
        // TODO: test deleted
    }

    /**
     * Test the property 'name'
     */
    @Test
    public void nameTest() {
        // TODO: test name
    }

    /**
     * Test the property 'type'
     */
    @Test
    public void typeTest() {
        // TODO: test type
    }

    /**
     * Test the property 'providerName'
     */
    @Test
    public void providerNameTest() {
        // TODO: test providerName
    }

    /**
     * Test the property 'isDefault'
     */
    @Test
    public void isDefaultTest() {
        // TODO: test isDefault
    }

    /**
     * Test the property 'configContent'
     */
    @Test
    public void configContentTest() {
        // TODO: test configContent
    }

}
